Bug 838362 - Review Request: mucommander - Lightweight cross-platform file manager
Review Request: mucommander - Lightweight cross-platform file manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
noarch Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 16:28 EDT by Robert Mayr
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Mayr 2012-07-08 16:28:40 EDT
Spec URL: http://robyduck.fedorapeople.org/packages/SPECS/mucommander.spec
SRPM URL: http://robyduck.fedorapeople.org/packages/SRPMS/mucommander-0.8.5-1.fc17.src.rpm
Description: muCommander is a lightweight, cross-platform file manager featuring a Norton Commander. It runs on any operating system with Java support and is able also to connect to an FTP server.
Fedora Account System Username: robyduck

In 2007 there was a similar request for mucommander with the bug 426740, abbandoned by the author.

This is my first package, I'm looking for a sponsor now!
I'm in contact with other italian package maintainers and want to learn quickly to help maintaining some packages.
Comment 1 Mario Santagiuliana 2012-07-09 02:10:15 EDT
Hi robyduck, this is a first informal review.

1) Like explain in the old bug in Fedora we need to compile all source code.
You could follow this page to understand how compile mucommander:
http://trac.mucommander.com/wiki/QuickStartGuide
Here is the fedora doc to build using ant:
http://fedoraproject.org/wiki/Packaging:Java#ant

So you could update you %build section.

2) Because you are using a svn checkout you should follow this directive to naming correctly your package:
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Snapshot_packages

Bye



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Fedora End Of Life 2013-07-03 21:21:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 01:41:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Christopher Meng 2013-08-01 01:49:24 EDT
Roby, I'm very interested in filemanager packages now, can you let me to finish it? I'll open a new ticket.

Note You need to log in before you can comment on or make changes to this bug.